
The STK package in Trilinos is a work in progress.

stk_mesh and stk_linsys are building, a portion of stk_util is building
(only the portion needed to build stk_mesh), and stk_mesh/unit_tests tests
are building and running.

To enable the STK package in your cmake configure script, add these directives:
 -D Trilinos_ENABLE_STK:BOOL=ON
 -D TPL_ENABLE_Boost:BOOL=ON
 -D TPL_ENABLE_MPI:BOOL=ON
 -D Boost_INCLUDE_DIRS:PATH=/sierra/Dev/william/sierra_code/TPLs_src/boost/1.38.0

STK currently has a mandatory dependence on those TPLs (MPI and Boost). This will be
re-visited as time permits.

Note that the Boost path above is specific to the engsci scico lan, and may be
volatile. You should provide your own boost path...

